POST
/v1/platform/webhooks/{id}/deliveries/{deliveryId}/replayPOST /v1/platform/webhooks/{id}/deliveries/{deliveryId}/replay
Scopes: platform:webhooks:replay
Requires scope: platform:webhooks:replay.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string<uuid> | yes | |
deliveryId | path | string<uuid> | yes |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
delivery_id | string<uuid> | no | |
replayed_from | string<uuid> | no | |
queued_at | string<date-time> | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.POST('/v1/platform/webhooks/{id}/deliveries/{deliveryId}/replay', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);